<script lang="ts">
    export let variant: string
</script>

<button class={variant} on:click|preventDefault>
    <slot />
</button>

<style lang="postcss">
    button {
        @apply py-1 px-2 rounded-lg mt-2 transition-colors duration-150 ease-out;
        &.upgrade {
            @apply bg-fuchsia-200 text-fuchsia-800 hover:bg-fuchsia-300 hover:text-fuchsia-900
            dark:bg-fuchsia-800 dark:text-fuchsia-50 hover:dark:bg-fuchsia-700 hover:dark:text-fuchsia-100;
        }
        &.demolish {
            @apply ring-2 ring-inset ring-red-500 text-red-500 hover:ring-red-600 hover:text-red-600 hover:bg-red-50
            hover:dark:ring-red-400 hover:dark:text-red-300 hover:dark:bg-transparent;
        }
        &.cancel {
            @apply bg-gray-200 text-trueGray-800 dark:bg-trueGray-800 dark:text-trueGray-50
            hover:bg-gray-300 hover:dark:bg-trueGray-700;
        }
    }
</style>
